Skip to Content
Blockhash Docs
API referenceTokens
GET
/v1/tokens/{address}/windows

A token's trading over the last 5 minutes, hour, 6 hours and day, across every pool it trades in: its swaps by side, their dollar volumes, and the wallets behind them. They are read at most once in 30 seconds a token and may be up to two minutes old: asOf names the second they were read.

Path Parameters

address*string

A 20-byte hex address.

Match^0x[0-9a-fA-F]{40}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tokens/string/windows"
{  "token": "string",  "asOf": 0,  "windows": {    "m5": {      "txns": 0,      "buys": 0,      "sells": 0,      "volumeUsd": 0,      "buyVolumeUsd": 0,      "sellVolumeUsd": 0,      "makers": 0,      "buyers": 0,      "sellers": 0    },    "h1": {      "txns": 0,      "buys": 0,      "sells": 0,      "volumeUsd": 0,      "buyVolumeUsd": 0,      "sellVolumeUsd": 0,      "makers": 0,      "buyers": 0,      "sellers": 0    },    "h6": {      "txns": 0,      "buys": 0,      "sells": 0,      "volumeUsd": 0,      "buyVolumeUsd": 0,      "sellVolumeUsd": 0,      "makers": 0,      "buyers": 0,      "sellers": 0    },    "h24": {      "txns": 0,      "buys": 0,      "sells": 0,      "volumeUsd": 0,      "buyVolumeUsd": 0,      "sellVolumeUsd": 0,      "makers": 0,      "buyers": 0,      "sellers": 0    }  },  "wallets": "ledger",  "source": "indexer"}